Create several tasks atomically
curl --request POST \
--url https://api.doers.sh/v2/tasks/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tasks": [
{
"title": "<string>",
"areaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationPath": "<string>",
"deadline": "2023-12-25",
"durationMin": 727,
"headingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"order": 123,
"priority": 2,
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repeat": {
"every": 183,
"weekdays": [
4
]
},
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
"<string>"
],
"time": "<string>"
}
]
}
'import requests
url = "https://api.doers.sh/v2/tasks/batch"
payload = { "tasks": [
{
"title": "<string>",
"areaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationPath": "<string>",
"deadline": "2023-12-25",
"durationMin": 727,
"headingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"order": 123,
"priority": 2,
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repeat": {
"every": 183,
"weekdays": [4]
},
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": ["<string>"],
"time": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tasks: [
{
title: '<string>',
areaId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
conversationPath: '<string>',
deadline: '2023-12-25',
durationMin: 727,
headingId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
notes: '<string>',
order: 123,
priority: 2,
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
repeat: {every: 183, weekdays: [4]},
requestId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tags: ['<string>'],
time: '<string>'
}
]
})
};
fetch('https://api.doers.sh/v2/tasks/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
{
"id": "<string>",
"title": "<string>",
"notes": "<string>",
"status": "open",
"priority": 0,
"when": {
"kind": "today"
},
"deadline": "<string>",
"projectId": "<string>",
"areaId": "<string>",
"headingId": "<string>",
"tags": [
"<string>"
],
"checklist": [
{
"id": "<string>",
"label": "<string>",
"done": true
}
],
"completedAt": 123,
"durationMin": 123,
"kind": "task",
"repeat": {
"every": 183,
"unit": "day",
"mode": "calendar",
"weekdays": [
4
]
},
"visibility": "public",
"order": 123,
"notePath": "<string>",
"conversationPath": "<string>",
"assigneeId": "<string>",
"assignee": {
"id": "<string>",
"username": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>"
},
"accessRole": "owner"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Tasks
Create several tasks atomically
Creates an ordered task list in one atomic operation. If any parent or heading is invalid, no task is created. Use this for multi-line paste instead of firing several create_task calls.
POST
/
v2
/
tasks
/
batch
Create several tasks atomically
